Index: /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 966)
@@ -35,5 +35,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
 
-      CALL xios(get_grid_handle)(grid_id,grid_hdl)
+      CALL xios(get_grid_handle) &
+      (grid_id,grid_hdl)
       CALL xios(set_grid_attr_hdl_)   &
       ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
@@ -95,5 +96,6 @@
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_set_grid_description(grid_hdl%daddr, description_, len(description_))
+        CALL cxios_set_grid_description &
+      (grid_hdl%daddr, description_, len(description_))
       ENDIF
 
@@ -101,5 +103,6 @@
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
         mask_1d__tmp = mask_1d_
-        CALL cxios_set_grid_mask_1d(grid_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_set_grid_mask_1d &
+      (grid_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
       ENDIF
 
@@ -107,5 +110,6 @@
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
         mask_2d__tmp = mask_2d_
-        CALL cxios_set_grid_mask_2d(grid_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_set_grid_mask_2d &
+      (grid_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
       ENDIF
 
@@ -113,33 +117,44 @@
         ALLOCATE(mask_3d__tmp(SIZE(mask_3d_,1), SIZE(mask_3d_,2), SIZE(mask_3d_,3)))
         mask_3d__tmp = mask_3d_
-        CALL cxios_set_grid_mask_3d(grid_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
+        CALL cxios_set_grid_mask_3d &
+      (grid_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), SIZE(mask_4d_,4)))
+        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), &
+       SIZE(mask_4d_,4)))
         mask_4d__tmp = mask_4d_
-        CALL cxios_set_grid_mask_4d(grid_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
+        CALL cxios_set_grid_mask_4d &
+      (grid_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
+        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), &
+       SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
         mask_5d__tmp = mask_5d_
-        CALL cxios_set_grid_mask_5d(grid_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
+        CALL cxios_set_grid_mask_5d &
+      (grid_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
+        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), &
+       SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
         mask_6d__tmp = mask_6d_
-        CALL cxios_set_grid_mask_6d(grid_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
+        CALL cxios_set_grid_mask_6d &
+      (grid_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), SIZE(mask_7d_,7)))
+        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), &
+       SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), &
+       SIZE(mask_7d_,7)))
         mask_7d__tmp = mask_7d_
-        CALL cxios_set_grid_mask_7d(grid_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
+        CALL cxios_set_grid_mask_7d &
+      (grid_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_set_grid_name(grid_hdl%daddr, name_, len(name_))
+        CALL cxios_set_grid_name &
+      (grid_hdl%daddr, name_, len(name_))
       ENDIF
 
@@ -170,5 +185,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
 
-      CALL xios(get_grid_handle)(grid_id,grid_hdl)
+      CALL xios(get_grid_handle) &
+      (grid_id,grid_hdl)
       CALL xios(get_grid_attr_hdl_)   &
       ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
@@ -230,10 +246,12 @@
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_get_grid_description(grid_hdl%daddr, description_, len(description_))
+        CALL cxios_get_grid_description &
+      (grid_hdl%daddr, description_, len(description_))
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
-        CALL cxios_get_grid_mask_1d(grid_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_get_grid_mask_1d &
+      (grid_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
         mask_1d_ = mask_1d__tmp
       ENDIF
@@ -241,5 +259,6 @@
       IF (PRESENT(mask_2d_)) THEN
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
-        CALL cxios_get_grid_mask_2d(grid_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_get_grid_mask_2d &
+      (grid_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
         mask_2d_ = mask_2d__tmp
       ENDIF
@@ -247,34 +266,45 @@
       IF (PRESENT(mask_3d_)) THEN
         ALLOCATE(mask_3d__tmp(SIZE(mask_3d_,1), SIZE(mask_3d_,2), SIZE(mask_3d_,3)))
-        CALL cxios_get_grid_mask_3d(grid_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
+        CALL cxios_get_grid_mask_3d &
+      (grid_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
         mask_3d_ = mask_3d__tmp
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), SIZE(mask_4d_,4)))
-        CALL cxios_get_grid_mask_4d(grid_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
+        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), &
+       SIZE(mask_4d_,4)))
+        CALL cxios_get_grid_mask_4d &
+      (grid_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
         mask_4d_ = mask_4d__tmp
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
-        CALL cxios_get_grid_mask_5d(grid_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
+        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), &
+       SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
+        CALL cxios_get_grid_mask_5d &
+      (grid_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
         mask_5d_ = mask_5d__tmp
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
-        CALL cxios_get_grid_mask_6d(grid_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
+        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), &
+       SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
+        CALL cxios_get_grid_mask_6d &
+      (grid_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
         mask_6d_ = mask_6d__tmp
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), SIZE(mask_7d_,7)))
-        CALL cxios_get_grid_mask_7d(grid_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
+        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), &
+       SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), &
+       SIZE(mask_7d_,7)))
+        CALL cxios_get_grid_mask_7d &
+      (grid_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
         mask_7d_ = mask_7d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_get_grid_name(grid_hdl%daddr, name_, len(name_))
+        CALL cxios_get_grid_name &
+      (grid_hdl%daddr, name_, len(name_))
       ENDIF
 
@@ -307,5 +337,6 @@
       LOGICAL(KIND=C_BOOL) :: name_tmp
 
-      CALL xios(get_grid_handle)(grid_id,grid_hdl)
+      CALL xios(get_grid_handle) &
+      (grid_id,grid_hdl)
       CALL xios(is_defined_grid_attr_hdl_)   &
       ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
@@ -371,45 +402,54 @@
 
       IF (PRESENT(description_)) THEN
-        description__tmp = cxios_is_defined_grid_description(grid_hdl%daddr)
+        description__tmp = cxios_is_defined_grid_description &
+      (grid_hdl%daddr)
         description_ = description__tmp
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
-        mask_1d__tmp = cxios_is_defined_grid_mask_1d(grid_hdl%daddr)
+        mask_1d__tmp = cxios_is_defined_grid_mask_1d &
+      (grid_hdl%daddr)
         mask_1d_ = mask_1d__tmp
       ENDIF
 
       IF (PRESENT(mask_2d_)) THEN
-        mask_2d__tmp = cxios_is_defined_grid_mask_2d(grid_hdl%daddr)
+        mask_2d__tmp = cxios_is_defined_grid_mask_2d &
+      (grid_hdl%daddr)
         mask_2d_ = mask_2d__tmp
       ENDIF
 
       IF (PRESENT(mask_3d_)) THEN
-        mask_3d__tmp = cxios_is_defined_grid_mask_3d(grid_hdl%daddr)
+        mask_3d__tmp = cxios_is_defined_grid_mask_3d &
+      (grid_hdl%daddr)
         mask_3d_ = mask_3d__tmp
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        mask_4d__tmp = cxios_is_defined_grid_mask_4d(grid_hdl%daddr)
+        mask_4d__tmp = cxios_is_defined_grid_mask_4d &
+      (grid_hdl%daddr)
         mask_4d_ = mask_4d__tmp
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        mask_5d__tmp = cxios_is_defined_grid_mask_5d(grid_hdl%daddr)
+        mask_5d__tmp = cxios_is_defined_grid_mask_5d &
+      (grid_hdl%daddr)
         mask_5d_ = mask_5d__tmp
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        mask_6d__tmp = cxios_is_defined_grid_mask_6d(grid_hdl%daddr)
+        mask_6d__tmp = cxios_is_defined_grid_mask_6d &
+      (grid_hdl%daddr)
         mask_6d_ = mask_6d__tmp
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        mask_7d__tmp = cxios_is_defined_grid_mask_7d(grid_hdl%daddr)
+        mask_7d__tmp = cxios_is_defined_grid_mask_7d &
+      (grid_hdl%daddr)
         mask_7d_ = mask_7d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        name__tmp = cxios_is_defined_grid_name(grid_hdl%daddr)
+        name__tmp = cxios_is_defined_grid_name &
+      (grid_hdl%daddr)
         name_ = name__tmp
       ENDIF
Index: /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 966)
@@ -36,5 +36,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
 
-      CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
+      CALL xios(get_gridgroup_handle) &
+      (gridgroup_id,gridgroup_hdl)
       CALL xios(set_gridgroup_attr_hdl_)   &
       ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
@@ -98,9 +99,11 @@
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_set_gridgroup_description(gridgroup_hdl%daddr, description_, len(description_))
+        CALL cxios_set_gridgroup_description &
+      (gridgroup_hdl%daddr, description_, len(description_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_set_gridgroup_group_ref(gridgroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_set_gridgroup_group_ref &
+      (gridgroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
@@ -108,5 +111,6 @@
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
         mask_1d__tmp = mask_1d_
-        CALL cxios_set_gridgroup_mask_1d(gridgroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_set_gridgroup_mask_1d &
+      (gridgroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
       ENDIF
 
@@ -114,5 +118,6 @@
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
         mask_2d__tmp = mask_2d_
-        CALL cxios_set_gridgroup_mask_2d(gridgroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_set_gridgroup_mask_2d &
+      (gridgroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
       ENDIF
 
@@ -120,33 +125,44 @@
         ALLOCATE(mask_3d__tmp(SIZE(mask_3d_,1), SIZE(mask_3d_,2), SIZE(mask_3d_,3)))
         mask_3d__tmp = mask_3d_
-        CALL cxios_set_gridgroup_mask_3d(gridgroup_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
+        CALL cxios_set_gridgroup_mask_3d &
+      (gridgroup_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), SIZE(mask_4d_,4)))
+        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), &
+       SIZE(mask_4d_,4)))
         mask_4d__tmp = mask_4d_
-        CALL cxios_set_gridgroup_mask_4d(gridgroup_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
+        CALL cxios_set_gridgroup_mask_4d &
+      (gridgroup_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
+        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), &
+       SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
         mask_5d__tmp = mask_5d_
-        CALL cxios_set_gridgroup_mask_5d(gridgroup_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
+        CALL cxios_set_gridgroup_mask_5d &
+      (gridgroup_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
+        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), &
+       SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
         mask_6d__tmp = mask_6d_
-        CALL cxios_set_gridgroup_mask_6d(gridgroup_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
+        CALL cxios_set_gridgroup_mask_6d &
+      (gridgroup_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), SIZE(mask_7d_,7)))
+        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), &
+       SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), &
+       SIZE(mask_7d_,7)))
         mask_7d__tmp = mask_7d_
-        CALL cxios_set_gridgroup_mask_7d(gridgroup_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
+        CALL cxios_set_gridgroup_mask_7d &
+      (gridgroup_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_set_gridgroup_name(gridgroup_hdl%daddr, name_, len(name_))
+        CALL cxios_set_gridgroup_name &
+      (gridgroup_hdl%daddr, name_, len(name_))
       ENDIF
 
@@ -178,5 +194,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
 
-      CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
+      CALL xios(get_gridgroup_handle) &
+      (gridgroup_id,gridgroup_hdl)
       CALL xios(get_gridgroup_attr_hdl_)   &
       ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
@@ -240,14 +257,17 @@
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_get_gridgroup_description(gridgroup_hdl%daddr, description_, len(description_))
+        CALL cxios_get_gridgroup_description &
+      (gridgroup_hdl%daddr, description_, len(description_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_get_gridgroup_group_ref(gridgroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_get_gridgroup_group_ref &
+      (gridgroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
-        CALL cxios_get_gridgroup_mask_1d(gridgroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_get_gridgroup_mask_1d &
+      (gridgroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
         mask_1d_ = mask_1d__tmp
       ENDIF
@@ -255,5 +275,6 @@
       IF (PRESENT(mask_2d_)) THEN
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
-        CALL cxios_get_gridgroup_mask_2d(gridgroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_get_gridgroup_mask_2d &
+      (gridgroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
         mask_2d_ = mask_2d__tmp
       ENDIF
@@ -261,34 +282,45 @@
       IF (PRESENT(mask_3d_)) THEN
         ALLOCATE(mask_3d__tmp(SIZE(mask_3d_,1), SIZE(mask_3d_,2), SIZE(mask_3d_,3)))
-        CALL cxios_get_gridgroup_mask_3d(gridgroup_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
+        CALL cxios_get_gridgroup_mask_3d &
+      (gridgroup_hdl%daddr, mask_3d__tmp, SHAPE(mask_3d_))
         mask_3d_ = mask_3d__tmp
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), SIZE(mask_4d_,4)))
-        CALL cxios_get_gridgroup_mask_4d(gridgroup_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
+        ALLOCATE(mask_4d__tmp(SIZE(mask_4d_,1), SIZE(mask_4d_,2), SIZE(mask_4d_,3), &
+       SIZE(mask_4d_,4)))
+        CALL cxios_get_gridgroup_mask_4d &
+      (gridgroup_hdl%daddr, mask_4d__tmp, SHAPE(mask_4d_))
         mask_4d_ = mask_4d__tmp
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
-        CALL cxios_get_gridgroup_mask_5d(gridgroup_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
+        ALLOCATE(mask_5d__tmp(SIZE(mask_5d_,1), SIZE(mask_5d_,2), SIZE(mask_5d_,3), &
+       SIZE(mask_5d_,4), SIZE(mask_5d_,5)))
+        CALL cxios_get_gridgroup_mask_5d &
+      (gridgroup_hdl%daddr, mask_5d__tmp, SHAPE(mask_5d_))
         mask_5d_ = mask_5d__tmp
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
-        CALL cxios_get_gridgroup_mask_6d(gridgroup_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
+        ALLOCATE(mask_6d__tmp(SIZE(mask_6d_,1), SIZE(mask_6d_,2), SIZE(mask_6d_,3), &
+       SIZE(mask_6d_,4), SIZE(mask_6d_,5), SIZE(mask_6d_,6)))
+        CALL cxios_get_gridgroup_mask_6d &
+      (gridgroup_hdl%daddr, mask_6d__tmp, SHAPE(mask_6d_))
         mask_6d_ = mask_6d__tmp
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), SIZE(mask_7d_,7)))
-        CALL cxios_get_gridgroup_mask_7d(gridgroup_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
+        ALLOCATE(mask_7d__tmp(SIZE(mask_7d_,1), SIZE(mask_7d_,2), SIZE(mask_7d_,3), &
+       SIZE(mask_7d_,4), SIZE(mask_7d_,5), SIZE(mask_7d_,6), &
+       SIZE(mask_7d_,7)))
+        CALL cxios_get_gridgroup_mask_7d &
+      (gridgroup_hdl%daddr, mask_7d__tmp, SHAPE(mask_7d_))
         mask_7d_ = mask_7d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_get_gridgroup_name(gridgroup_hdl%daddr, name_, len(name_))
+        CALL cxios_get_gridgroup_name &
+      (gridgroup_hdl%daddr, name_, len(name_))
       ENDIF
 
@@ -323,5 +355,6 @@
       LOGICAL(KIND=C_BOOL) :: name_tmp
 
-      CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
+      CALL xios(get_gridgroup_handle) &
+      (gridgroup_id,gridgroup_hdl)
       CALL xios(is_defined_gridgroup_attr_hdl_)   &
       ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
@@ -391,50 +424,60 @@
 
       IF (PRESENT(description_)) THEN
-        description__tmp = cxios_is_defined_gridgroup_description(gridgroup_hdl%daddr)
+        description__tmp = cxios_is_defined_gridgroup_description &
+      (gridgroup_hdl%daddr)
         description_ = description__tmp
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        group_ref__tmp = cxios_is_defined_gridgroup_group_ref(gridgroup_hdl%daddr)
+        group_ref__tmp = cxios_is_defined_gridgroup_group_ref &
+      (gridgroup_hdl%daddr)
         group_ref_ = group_ref__tmp
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
-        mask_1d__tmp = cxios_is_defined_gridgroup_mask_1d(gridgroup_hdl%daddr)
+        mask_1d__tmp = cxios_is_defined_gridgroup_mask_1d &
+      (gridgroup_hdl%daddr)
         mask_1d_ = mask_1d__tmp
       ENDIF
 
       IF (PRESENT(mask_2d_)) THEN
-        mask_2d__tmp = cxios_is_defined_gridgroup_mask_2d(gridgroup_hdl%daddr)
+        mask_2d__tmp = cxios_is_defined_gridgroup_mask_2d &
+      (gridgroup_hdl%daddr)
         mask_2d_ = mask_2d__tmp
       ENDIF
 
       IF (PRESENT(mask_3d_)) THEN
-        mask_3d__tmp = cxios_is_defined_gridgroup_mask_3d(gridgroup_hdl%daddr)
+        mask_3d__tmp = cxios_is_defined_gridgroup_mask_3d &
+      (gridgroup_hdl%daddr)
         mask_3d_ = mask_3d__tmp
       ENDIF
 
       IF (PRESENT(mask_4d_)) THEN
-        mask_4d__tmp = cxios_is_defined_gridgroup_mask_4d(gridgroup_hdl%daddr)
+        mask_4d__tmp = cxios_is_defined_gridgroup_mask_4d &
+      (gridgroup_hdl%daddr)
         mask_4d_ = mask_4d__tmp
       ENDIF
 
       IF (PRESENT(mask_5d_)) THEN
-        mask_5d__tmp = cxios_is_defined_gridgroup_mask_5d(gridgroup_hdl%daddr)
+        mask_5d__tmp = cxios_is_defined_gridgroup_mask_5d &
+      (gridgroup_hdl%daddr)
         mask_5d_ = mask_5d__tmp
       ENDIF
 
       IF (PRESENT(mask_6d_)) THEN
-        mask_6d__tmp = cxios_is_defined_gridgroup_mask_6d(gridgroup_hdl%daddr)
+        mask_6d__tmp = cxios_is_defined_gridgroup_mask_6d &
+      (gridgroup_hdl%daddr)
         mask_6d_ = mask_6d__tmp
       ENDIF
 
       IF (PRESENT(mask_7d_)) THEN
-        mask_7d__tmp = cxios_is_defined_gridgroup_mask_7d(gridgroup_hdl%daddr)
+        mask_7d__tmp = cxios_is_defined_gridgroup_mask_7d &
+      (gridgroup_hdl%daddr)
         mask_7d_ = mask_7d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        name__tmp = cxios_is_defined_gridgroup_name(gridgroup_hdl%daddr)
+        name__tmp = cxios_is_defined_gridgroup_name &
+      (gridgroup_hdl%daddr)
         name_ = name__tmp
       ENDIF
Index: /XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 966)
@@ -21,5 +21,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
-      CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
+      CALL xios(get_interpolate_axis_handle) &
+      (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(set_interpolate_axis_attr_hdl_)   &
       ( interpolate_axis_hdl, coordinate, order, type )
@@ -51,13 +52,16 @@
 
       IF (PRESENT(coordinate_)) THEN
-        CALL cxios_set_interpolate_axis_coordinate(interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
+        CALL cxios_set_interpolate_axis_coordinate &
+      (interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        CALL cxios_set_interpolate_axis_order(interpolate_axis_hdl%daddr, order_)
+        CALL cxios_set_interpolate_axis_order &
+      (interpolate_axis_hdl%daddr, order_)
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_set_interpolate_axis_type(interpolate_axis_hdl%daddr, type_, len(type_))
+        CALL cxios_set_interpolate_axis_type &
+      (interpolate_axis_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -74,5 +78,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
-      CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
+      CALL xios(get_interpolate_axis_handle) &
+      (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(get_interpolate_axis_attr_hdl_)   &
       ( interpolate_axis_hdl, coordinate, order, type )
@@ -104,13 +109,16 @@
 
       IF (PRESENT(coordinate_)) THEN
-        CALL cxios_get_interpolate_axis_coordinate(interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
+        CALL cxios_get_interpolate_axis_coordinate &
+      (interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        CALL cxios_get_interpolate_axis_order(interpolate_axis_hdl%daddr, order_)
+        CALL cxios_get_interpolate_axis_order &
+      (interpolate_axis_hdl%daddr, order_)
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_get_interpolate_axis_type(interpolate_axis_hdl%daddr, type_, len(type_))
+        CALL cxios_get_interpolate_axis_type &
+      (interpolate_axis_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -130,5 +138,6 @@
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
-      CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
+      CALL xios(get_interpolate_axis_handle) &
+      (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(is_defined_interpolate_axis_attr_hdl_)   &
       ( interpolate_axis_hdl, coordinate, order, type )
@@ -166,15 +175,18 @@
 
       IF (PRESENT(coordinate_)) THEN
-        coordinate__tmp = cxios_is_defined_interpolate_axis_coordinate(interpolate_axis_hdl%daddr)
+        coordinate__tmp = cxios_is_defined_interpolate_axis_coordinate &
+      (interpolate_axis_hdl%daddr)
         coordinate_ = coordinate__tmp
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        order__tmp = cxios_is_defined_interpolate_axis_order(interpolate_axis_hdl%daddr)
+        order__tmp = cxios_is_defined_interpolate_axis_order &
+      (interpolate_axis_hdl%daddr)
         order_ = order__tmp
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        type__tmp = cxios_is_defined_interpolate_axis_type(interpolate_axis_hdl%daddr)
+        type__tmp = cxios_is_defined_interpolate_axis_type &
+      (interpolate_axis_hdl%daddr)
         type_ = type__tmp
       ENDIF
Index: /XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 966)
@@ -22,5 +22,6 @@
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
-      CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
+      CALL xios(get_interpolate_domain_handle) &
+      (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(set_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, file, order, renormalize )
@@ -54,14 +55,17 @@
 
       IF (PRESENT(file_)) THEN
-        CALL cxios_set_interpolate_domain_file(interpolate_domain_hdl%daddr, file_, len(file_))
+        CALL cxios_set_interpolate_domain_file &
+      (interpolate_domain_hdl%daddr, file_, len(file_))
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        CALL cxios_set_interpolate_domain_order(interpolate_domain_hdl%daddr, order_)
+        CALL cxios_set_interpolate_domain_order &
+      (interpolate_domain_hdl%daddr, order_)
       ENDIF
 
       IF (PRESENT(renormalize_)) THEN
         renormalize__tmp = renormalize_
-        CALL cxios_set_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+        CALL cxios_set_interpolate_domain_renormalize &
+      (interpolate_domain_hdl%daddr, renormalize__tmp)
       ENDIF
 
@@ -79,5 +83,6 @@
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
-      CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
+      CALL xios(get_interpolate_domain_handle) &
+      (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(get_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, file, order, renormalize )
@@ -111,13 +116,16 @@
 
       IF (PRESENT(file_)) THEN
-        CALL cxios_get_interpolate_domain_file(interpolate_domain_hdl%daddr, file_, len(file_))
+        CALL cxios_get_interpolate_domain_file &
+      (interpolate_domain_hdl%daddr, file_, len(file_))
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        CALL cxios_get_interpolate_domain_order(interpolate_domain_hdl%daddr, order_)
+        CALL cxios_get_interpolate_domain_order &
+      (interpolate_domain_hdl%daddr, order_)
       ENDIF
 
       IF (PRESENT(renormalize_)) THEN
-        CALL cxios_get_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+        CALL cxios_get_interpolate_domain_renormalize &
+      (interpolate_domain_hdl%daddr, renormalize__tmp)
         renormalize_ = renormalize__tmp
       ENDIF
@@ -138,5 +146,6 @@
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
 
-      CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
+      CALL xios(get_interpolate_domain_handle) &
+      (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, file, order, renormalize )
@@ -174,15 +183,18 @@
 
       IF (PRESENT(file_)) THEN
-        file__tmp = cxios_is_defined_interpolate_domain_file(interpolate_domain_hdl%daddr)
+        file__tmp = cxios_is_defined_interpolate_domain_file &
+      (interpolate_domain_hdl%daddr)
         file_ = file__tmp
       ENDIF
 
       IF (PRESENT(order_)) THEN
-        order__tmp = cxios_is_defined_interpolate_domain_order(interpolate_domain_hdl%daddr)
+        order__tmp = cxios_is_defined_interpolate_domain_order &
+      (interpolate_domain_hdl%daddr)
         order_ = order__tmp
       ENDIF
 
       IF (PRESENT(renormalize_)) THEN
-        renormalize__tmp = cxios_is_defined_interpolate_domain_renormalize(interpolate_domain_hdl%daddr)
+        renormalize__tmp = cxios_is_defined_interpolate_domain_renormalize &
+      (interpolate_domain_hdl%daddr)
         renormalize_ = renormalize__tmp
       ENDIF
Index: /XIOS/trunk/src/interface/fortran_attr/iinverse_axis_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iinverse_axis_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/iinverse_axis_attr.F90	(revision 966)
@@ -18,5 +18,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::inverse_axis_id
 
-      CALL xios(get_inverse_axis_handle)(inverse_axis_id,inverse_axis_hdl)
+      CALL xios(get_inverse_axis_handle) &
+      (inverse_axis_id,inverse_axis_hdl)
       CALL xios(set_inverse_axis_attr_hdl_)   &
       ( inverse_axis_hdl )
@@ -50,5 +51,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::inverse_axis_id
 
-      CALL xios(get_inverse_axis_handle)(inverse_axis_id,inverse_axis_hdl)
+      CALL xios(get_inverse_axis_handle) &
+      (inverse_axis_id,inverse_axis_hdl)
       CALL xios(get_inverse_axis_attr_hdl_)   &
       ( inverse_axis_hdl )
@@ -82,5 +84,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::inverse_axis_id
 
-      CALL xios(get_inverse_axis_handle)(inverse_axis_id,inverse_axis_hdl)
+      CALL xios(get_inverse_axis_handle) &
+      (inverse_axis_id,inverse_axis_hdl)
       CALL xios(is_defined_inverse_axis_attr_hdl_)   &
       ( inverse_axis_hdl )
